import processing.serial.*;

import cc.arduino.*;

 
Arduino arduino;

GraphDisplay graph;
 


color backgroundColor;

int[] A = {0,0,0,0,0,0};
int[] D = {0,0,0,0,0,0,0,0,0,0,0,0};


boolean buttonReady0 = true;

int displayType=0;


void setup() {
  //window size setup
  size(600, 600);
  colorMode(RGB, 255, 255, 255, 100);
  
  //setup for arduino
   arduino = new Arduino(this, Arduino.list()[0], 57600);
    for (int i = 0; i <= 13; i++)
      arduino.pinMode(i, Arduino.INPUT);
      
    graph = new  GraphDisplay(); 
  
   //desiding all the colors
   backgroundColor= color (0);
   rectMode(CENTER);
 
}

void draw() {
  background(backgroundColor);
  
  for(int i=0; i < A.length; i++)
    {
    A[i]=600-arduino.analogRead(i);
    }
  for(int i=0; i < D.length; i++)
    {
    D[i]=arduino.digitalRead(i);
    }
          
  if (displayType==0) {
      graph.drawGraph();
      println(D[7]);
      }
  
  if (displayType==1) {
      drawVisals();
      } 
}

void drawVisals() {
 
       if (D[7] == Arduino.LOW)
      {
        if (buttonReady0==true){
          stroke(255,255,255);
          fill(255,255,255,50);
          rect(width/2, height/4,50,50);
        }
      }
      else 
      {
        stroke(255,255,255);
        noFill();
        rect(width/2, height/4,10,10);
        buttonReady0=true;
      }
      
    // sensor0 ellipse
    noStroke();
    fill (255,255,255,50);
    ellipse(width/7, height/2, A[0]/3, A[0]/3);
    
    // sensor1 ellipse
    noStroke();
    fill (255,255,255,50);
    ellipse(width/7*2, height/2, A[1]/3, A[1]/3);
    
    // sensor2 ellipse
    noStroke();
    fill (255,255,255,50);
    ellipse(width/7*3, height/2, A[2]/3, A[2]/3);
    
    // sensor3 ellipse
    noStroke();
    fill (255,255,255,50);
    ellipse(width/7*4, height/2, A[3]/3, A[3]/3);
    
    // sensor4 ellipse
    noStroke();
    fill (255,255,255,50);
    ellipse(width/7*5, height/2, A[4]/3, A[4]/3);
    
    // sensor5 ellipse
    noStroke();
    fill (255,255,255,50);
    ellipse(width/7*6, height/2, A[5]/3, A[5]/3);
 
}

void keyPressed() {
  if (key == 'g') displayType=0;
  if (key == 'v') displayType=1;
}

// When the mouse is pressed, add a new particle system
void mousePressed() {
 
}
